package com.alterdekim.server.durak.component.durak;

import com.alterdekim.server.durak.utils.HashUtils;
import com.alterdekim.server.durak.utils.SerializerUtils;
import lombok.extern.slf4j.Slf4j;

import java.io.IOException;
import java.io.InputStream;
import java.io.OutputStream;
import java.net.Socket;

@Slf4j
public class HandshakeProcessor extends ConnectionProcessor {

    public HandshakeProcessor(InputStream inputStream, OutputStream outputStream, Socket sock) {
        super(inputStream, outputStream, sock);
    }

    @Override
    public ConnectionState getState() {
        return ConnectionState.HANDSHAKE;
    }

    @Override
    public ConnectionState process() throws IOException {
        byte[] b = new byte[2048];
        if( this.getInputStream().read(b) == -1 ) {
            close();
            return getState();
        }
        log.info("HandshakeProcessor received first message: {}", HashUtils.bytesToHex(b));
        this.getOutputStream().write("authorized\n".getBytes());
        //this.getOutputStream().write("confirmed\n".getBytes());
        this.getOutputStream().write("server{\"time\":\"2024-04-16T00:59:48.045Z\",\"id\":\"u0\"}\n".getBytes());
        this.getOutputStream().flush();
        return getState();
    }
}