package com.alterdekim.server.durak.controller;

import lombok.extern.slf4j.Slf4j;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.GetMapping;

@Slf4j
@Controller
public class StaticController {

    @GetMapping("/servers.json")
    public ResponseEntity<String> getServers() {
        return ResponseEntity.ok("{\n" +
                "  \"user\": {\n" +
                "    \"u0\": {\n" +
                "      \"name\": {\n" +
                "        \"en\": \"Diamond (rating +50%)\",\n" +
                "        \"ru\": \"Алмаз (рейтинг +50%)\"\n" +
                "      },\n" +
                "      \"image\": {\n" +
                "        \"en\": \"http://10.66.66.3/durak/public/serverimages/s_u0en.png?2\",\n" +
                "        \"ru\": \"http://10.66.66.3/durak/public/serverimages/s_u0ru.png?2\"\n" +
                "      },\n" +
                "      \"host\": \"10.66.66.3\",\n" +
                "      \"port\": 10772,\n" +
                "      \"android\": 10772,\n" +
                "      \"huawei\": 10772,\n" +
                "      \"rustore\": 10772,\n" +
                "      \"web_url\": \"wss://10.66.66.3/ws0\",\n" +
                "      \"weight\": 0.0\n" +
                "    }\n" +
                "  },\n" +
                "  \"web_auth\":\"https://10.66.66.3/auth\",\n" +
                "  \"shuffle_android\":194,\n" +
                "  \"shuffle_ios\": 194,\n" +
                "  \"shuffle_huawei\": 194,\n" +
                "  \"shuffle_rustore\": 194,\n" +
                "  \"shuffle_web\": 194,\n" +
                "  \"avatar_size\": 200,\n" +
                "  \"chat_img_size\": 1024,\n" +
                "  \"reconnect_interval\":  5000,\n" +
                "  \"help\": {\n" +
                "    \"android\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/android/en/help.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/android/ru/help.html\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/android/hy/help.html\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/android/az/help.html\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/android/de/help.html\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/android/es/help.html\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/android/fr/help.html\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/android/it/help.html\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/android/tr/help.html\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/android/he/help.html\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/android/uk/help.html\"\n" +
                "    },\n" +
                "    \"huawei\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/huawei/en/help.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/huawei/ru/help.html\"\n" +
                "    },\n" +
                "    \"rustore\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/rustore/en/help.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/rustore/ru/help.html\"\n" +
                "    },\n" +
                "    \"web\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/web/en/help.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/web/ru/help.html\"\n" +
                "    },\n" +
                "    \"ios\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/en/help.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/ru/help.html\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/hy/help.html\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/az/help.html\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/de/help.html\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/es/help.html\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/fr/help.html\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/it/help.html\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/tr/help.html\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/he/help.html\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/uk/help.html\"\n" +
                "    }\n" +
                "  },\n" +
                "  \"tos\": {\n" +
                "    \"android\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/android/en/tos.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/android/ru/tos.html\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/android/hy/tos.html\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/android/az/tos.html\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/android/de/tos.html\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/android/es/tos.html\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/android/fr/tos.html\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/android/it/tos.html\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/android/tr/tos.html\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/android/he/tos.html\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/android/uk/tos.html\"\n" +
                "    },\n" +
                "    \"huawei\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/huawei/en/tos.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/huawei/ru/tos.html\"\n" +
                "    },\n" +
                "    \"rustore\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/rustore/en/tos.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/rustore/ru/tos.html\"\n" +
                "    },\n" +
                "    \"web\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/web/en/tos.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/web/ru/tos.html\"\n" +
                "    },\n" +
                "    \"ios\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/en/tos.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/ru/tos.html\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/hy/tos.html\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/az/tos.html\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/de/tos.html\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/es/tos.html\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/fr/tos.html\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/it/tos.html\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/tr/tos.html\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/he/tos.html\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/uk/tos.html\"\n" +
                "    }\n" +
                "  },\n" +
                "  \"news\": {\n" +
                "    \"android\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/android/en/news.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/android/ru/news.html\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/android/hy/news.html\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/android/az/news.html\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/android/de/news.html\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/android/es/news.html\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/android/fr/news.html\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/android/it/news.html\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/android/tr/news.html\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/android/he/news.html\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/android/uk/news.html\"\n" +
                "    },\n" +
                "    \"huawei\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/huawei/en/news.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/huawei/ru/news.html\"\n" +
                "    },\n" +
                "    \"rustore\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/rustore/en/news.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/rustore/ru/news.html\"\n" +
                "    },\n" +
                "    \"web\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/web/en/news.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/web/ru/news.html\"\n" +
                "    },\n" +
                "    \"ios\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/en/news.html\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/ru/news.html\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/hy/news.html\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/az/news.html\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/de/news.html\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/es/news.html\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/fr/news.html\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/it/news.html\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/tr/news.html\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/he/news.html\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/uk/news.html\"\n" +
                "    }\n" +
                "  },\n" +
                "  \"share\": {\n" +
                "    \"android\": {\n" +
                "      \"en\": \"http://durak.rstgames.com/android/en/index.html\",\n" +
                "      \"ru\": \"http://durak.rstgames.com/android/ru/index.html\",\n" +
                "      \"hy\": \"http://durak.rstgames.com/android/hy/index.html\",\n" +
                "      \"az\": \"http://durak.rstgames.com/android/az/index.html\",\n" +
                "      \"de\": \"http://durak.rstgames.com/android/de/index.html\",\n" +
                "      \"es\": \"http://durak.rstgames.com/android/es/index.html\",\n" +
                "      \"fr\": \"http://durak.rstgames.com/android/fr/index.html\",\n" +
                "      \"it\": \"http://durak.rstgames.com/android/it/index.html\",\n" +
                "      \"tr\": \"http://durak.rstgames.com/android/tr/index.html\",\n" +
                "      \"he\": \"http://durak.rstgames.com/android/he/index.html\",\n" +
                "      \"uk\": \"http://durak.rstgames.com/android/uk/index.html\"\n" +
                "    },\n" +
                "    \"huawei\": {\n" +
                "      \"en\": \"http://durak.rstgames.com/huawei/en/index.html\",\n" +
                "      \"ru\": \"http://durak.rstgames.com/huawei/ru/index.html\"\n" +
                "    },\n" +
                "    \"rustore\": {\n" +
                "      \"en\": \"http://durak.rstgames.com/rustore/en/index.html\",\n" +
                "      \"ru\": \"http://durak.rstgames.com/rustore/ru/index.html\"\n" +
                "    },\n" +
                "    \"web\": {\n" +
                "      \"en\": \"http://durak.rstgames.com/web/en/index.html\",\n" +
                "      \"ru\": \"http://durak.rstgames.com/web/ru/index.html\"\n" +
                "    },\n" +
                "    \"ios\": {\n" +
                "      \"en\": \"http://durak.rstgames.com/en/index.html\",\n" +
                "      \"ru\": \"http://durak.rstgames.com/ru/index.html\",\n" +
                "      \"hy\": \"http://durak.rstgames.com/hy/index.html\",\n" +
                "      \"az\": \"http://durak.rstgames.com/az/index.html\",\n" +
                "      \"de\": \"http://durak.rstgames.com/de/index.html\",\n" +
                "      \"es\": \"http://durak.rstgames.com/es/index.html\",\n" +
                "      \"fr\": \"http://durak.rstgames.com/fr/index.html\",\n" +
                "      \"it\": \"http://durak.rstgames.com/it/index.html\",\n" +
                "      \"tr\": \"http://durak.rstgames.com/tr/index.html\",\n" +
                "      \"he\": \"http://durak.rstgames.com/he/index.html\",\n" +
                "      \"uk\": \"http://durak.rstgames.com/uk/index.html\"\n" +
                "    }\n" +
                "  },\n" +
                "  \"flags\": {\n" +
                "    \"android\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/android/en/en.png\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/android/ru/ru.png\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/android/hy/hy.png\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/android/az/az.png\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/android/de/de.png\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/android/es/es.png\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/android/fr/fr.png\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/android/it/it.png\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/android/tr/tr.png\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/android/he/he.png\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/android/uk/uk.png\"\n" +
                "    },\n" +
                "    \"huawei\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/android/en/en.png\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/android/ru/ru.png\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/android/hy/hy.png\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/android/az/az.png\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/android/de/de.png\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/android/es/es.png\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/android/fr/fr.png\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/android/it/it.png\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/android/tr/tr.png\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/android/he/he.png\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/android/uk/uk.png\"\n" +
                "    },\n" +
                "    \"rustore\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/android/en/en.png\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/android/ru/ru.png\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/android/hy/hy.png\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/android/az/az.png\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/android/de/de.png\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/android/es/es.png\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/android/fr/fr.png\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/android/it/it.png\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/android/tr/tr.png\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/android/he/he.png\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/android/uk/uk.png\"\n" +
                "    },\n" +
                "    \"web\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/android/en/en.png\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/android/ru/ru.png\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/android/hy/hy.png\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/android/az/az.png\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/android/de/de.png\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/android/es/es.png\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/android/fr/fr.png\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/android/it/it.png\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/android/tr/tr.png\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/android/he/he.png\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/android/uk/uk.png\"\n" +
                "    },\n" +
                "    \"ios\": {\n" +
                "      \"en\": \"http://10.66.66.3/durak/public/en/en.png\",\n" +
                "      \"ru\": \"http://10.66.66.3/durak/public/ru/ru.png\",\n" +
                "      \"hy\": \"http://10.66.66.3/durak/public/hy/hy.png\",\n" +
                "      \"az\": \"http://10.66.66.3/durak/public/az/az.png\",\n" +
                "      \"de\": \"http://10.66.66.3/durak/public/de/de.png\",\n" +
                "      \"es\": \"http://10.66.66.3/durak/public/es/es.png\",\n" +
                "      \"fr\": \"http://10.66.66.3/durak/public/fr/fr.png\",\n" +
                "      \"it\": \"http://10.66.66.3/durak/public/it/it.png\",\n" +
                "      \"tr\": \"http://10.66.66.3/durak/public/tr/tr.png\",\n" +
                "      \"he\": \"http://10.66.66.3/durak/public/he/he.png\",\n" +
                "      \"uk\": \"http://10.66.66.3/durak/public/uk/uk.png\"\n" +
                "    }\n" +
                "  },\n" +
                "  \"store\": \"10.66.66.3\",\n" +
                "  \"assets_url\": \"http://10.66.66.3/durak/assets/\",\n" +
                "  \"assets_url_android\": \"http://10.66.66.3/durak/assets/\",\n" +
                "  \"assets_count\": 0,\n" +
                "  \"assets\": {\n" +
                "    \"smile_classic\":   11,\n" +
                "    \"smile_g_blond\":   10,\n" +
                "    \"smile_g_dark\":    10,\n" +
                "    \"smile_m_blond\":   11,\n" +
                "    \"smile_m_dark\":    10,\n" +
                "    \"smile_cat\":       10,\n" +
                "    \"smile_panda\":     10,\n" +
                "    \"smile_raccoon\":   10,\n" +
                "    \"smile_m_long\":    10,\n" +
                "    \"smile_g_glam\":    10,\n" +
                "    \"smile_g_veil\":    10,\n" +
                "    \"shirt_classic\":   15,\n" +
                "    \"shirt_gzhel\":     15,\n" +
                "    \"shirt_greenblue\": 13,\n" +
                "    \"shirt_redblue\":   13,\n" +
                "    \"shirt_khokhloma\": 15,\n" +
                "    \"shirt_buta\":      15,\n" +
                "    \"frame_classic\":   10,\n" +
                "    \"frame_chain\":      3,\n" +
                "    \"frame_flower\":     10,\n" +
                "    \"frame_leafs\":     14,\n" +
                "    \"frame_nimb\":     12,\n" +
                "    \"frame_heart\":11,\n" +
                "    \"frame_heartchain\":11,\n" +
                "    \"frame_stars\":2,\n" +
                "    \"smile_suntan\":16,\n" +
                "    \"shirt_gold\":8,\n" +
                "    \"shirt_wolf\":8,\n" +
                "    \"shirt_spider\":8,\n" +
                "    \"smile_pumkin\":2,\n" +
                "    \"smile_santa\":2,\n" +
                "    \"smile_sun\":4,\n" +
                "    \"smile_spring\":1\n" +
                "  },\n" +
                "\n" +
                "  \"achieves_url\": \"http://10.66.66.3/durak/achieves/\",\n" +
                "  \"achieves_url_android\": \"http://10.66.66.3/durak/achieves/\",\n" +
                "  \"achieves_count\": 58,\n" +
                "  \"achieves\": {\n" +
                "    \"no_achieve\" :      1,\n" +
                "    \"win_pts_100\" :     1,\n" +
                "    \"win_pts_1000\" :      1,\n" +
                "    \"win_pts_10000\" :     1,\n" +
                "    \"win_pts_100000\" :    1,\n" +
                "    \"win_pts_1000000\" :    1,\n" +
                "    \"rating_160k\" :     1,\n" +
                "    \"rating_320k\" :     1,\n" +
                "    \"rating_480k\" :     1,\n" +
                "    \"rating_640k\" :     1,\n" +
                "    \"rating_800k\" :     1,\n" +
                "    \"friend_1\" :        1,\n" +
                "    \"friend_10\" :       1,\n" +
                "    \"points_10k\" :      1,\n" +
                "    \"points_100k\" :     1,\n" +
                "    \"points_1m\" :       1,\n" +
                "    \"points_10m\" :      1,\n" +
                "    \"points_100m\" :      1,\n" +
                "    \"points_1b\" :      1,\n" +
                "    \"streak_3\" :        1,\n" +
                "    \"streak_5\" :        1,\n" +
                "    \"streak_7\" :        1,\n" +
                "    \"streak_10\" :       1,\n" +
                "    \"streak_20\" :       1,\n" +
                "    \"streak_50\" :       1,\n" +
                "    \"wins_100\" :        1,\n" +
                "    \"wins_250\" :        1,\n" +
                "    \"wins_500\" :        1,\n" +
                "    \"wins_1000\" :       1,\n" +
                "    \"wins_2500\" :       1,\n" +
                "    \"wins_5000\" :       1,\n" +
                "    \"wins_10000\" :      1,\n" +
                "    \"draw_1\" :          1,\n" +
                "    \"draw_3\" :          1,\n" +
                "    \"draw_5\" :          1,\n" +
                "    \"draw_10\" :         1,\n" +
                "    \"draw_20\" :         1,\n" +
                "    \"draw_50\" :         1,\n" +
                "    \"draw_100\" :        1,\n" +
                "    \"lose_game_ace\" :      1,\n" +
                "    \"report_cheater\" :      1,\n" +
                "    \"cheat_success\" :      1,\n" +
                "    \"quad\" :      1,\n" +
                "    \"lucky\" :      1,\n" +
                "    \"frame_medal_bronze\":10,\n" +
                "    \"frame_medal_silver\":10,\n" +
                "    \"frame_medal_gold\":  10\n" +
                "  },\n" +
                "  \"games\": {\n" +
                "    \"status_android\": true,\n" +
                "    \"status_huawei\": true,\n" +
                "    \"status_rustore\": false,\n" +
                "    \"status_ios\": true,\n" +
                "    \"shuffle_android\":12,\n" +
                "    \"shuffle_huawei\":11,\n" +
                "    \"shuffle_rustore\":11,\n" +
                "    \"shuffle_ios\": 12,\n" +
                "    \"apps\": {}\n" +
                "  }\n" +
                "}");
    }
}
